## prometheus-node-exporter 0.18.1+ds

=== Makefile ===
# Copyright 2015 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Ensure that 'all' is the default target otherwise it will be the first target from Makefile.common.
all::

# Needs to be defined before including Makefile.common to auto-generate targets
DOCKER_ARCHS ?= amd64 armv7 arm64 ppc64le

include Makefile.common

PROMTOOL_VERSION ?= 2.5.0
PROMTOOL_URL     ?= https://github.com/prometheus/prometheus/releases/download/v$(PROMTOOL_VERSION)/prometheus-$(PROMTOOL_VERSION).$(GO_BUILD_PLATFORM).tar.gz
PROMTOOL         ?= $(FIRST_GOPATH)/bin/promtool

DOCKER_IMAGE_NAME       ?= node-exporter
MACH                    ?= $(shell uname -m)

STATICCHECK_IGNORE =

ifeq ($(GOHOSTOS), linux)
	test-e2e := test-e2e
else
	test-e2e := skip-test-e2e
endif

# Use CGO for non-Linux builds.
ifeq ($(GOOS), linux)
	PROMU_CONF ?= .promu.yml
else
	ifndef GOOS
		ifeq ($(GOHOSTOS), linux)
			PROMU_CONF ?= .promu.yml
		else
			PROMU_CONF ?= .promu-cgo.yml
		endif
	else
		PROMU_CONF ?= .promu-cgo.yml
	endif
endif

PROMU := $(FIRST_GOPATH)/bin/promu --config $(PROMU_CONF)

e2e-out = collector/fixtures/e2e-output.txt
ifeq ($(MACH), ppc64le)
	e2e-out = collector/fixtures/e2e-64k-page-output.txt
endif
ifeq ($(MACH), aarch64)
	e2e-out = collector/fixtures/e2e-64k-page-output.txt
endif

# 64bit -> 32bit mapping for cross-checking. At least for amd64/386, the 64bit CPU can execute 32bit code but not the other way around, so we don't support cross-testing upwards.
cross-test = skip-test-32bit
define goarch_pair
	ifeq ($$(GOHOSTOS),linux)
		ifeq ($$(GOHOSTARCH),$1)
			GOARCH_CROSS = $2
			cross-test = test-32bit
		endif
	endif
endef

# By default, "cross" test with ourselves to cover unknown pairings.
$(eval $(call goarch_pair,amd64,386))
$(eval $(call goarch_pair,mips64,mips))
$(eval $(call goarch_pair,mips64el,mipsel))

all:: vet checkmetrics checkrules common-all $(cross-test) $(test-e2e)

.PHONY: test
test: collector/fixtures/sys/.unpacked
	@echo ">> running tests"
	$(GO) test -short $(test-flags) $(pkgs)

.PHONY: test-32bit
test-32bit: collector/fixtures/sys/.unpacked
	@echo ">> running tests in 32-bit mode"
	@env GOARCH=$(GOARCH_CROSS) $(GO) test $(pkgs)

.PHONY: skip-test-32bit
skip-test-32bit:
	@echo ">> SKIP running tests in 32-bit mode: not supported on $(GOHOSTOS)/$(GOHOSTARCH)"

collector/fixtures/sys/.unpacked: collector/fixtures/sys.ttar
	@echo ">> extracting sysfs fixtures"
	if [ -d collector/fixtures/sys ] ; then rm -r collector/fixtures/sys ; fi
	./ttar -C collector/fixtures -x -f collector/fixtures/sys.ttar
	touch $@

.PHONY: test-e2e
test-e2e: build collector/fixtures/sys/.unpacked
	@echo ">> running end-to-end tests"
	./end-to-end-test.sh

.PHONY: skip-test-e2e
skip-test-e2e:
	@echo ">> SKIP running end-to-end tests on $(GOHOSTOS)"

.PHONY: checkmetrics
checkmetrics: $(PROMTOOL)
	@echo ">> checking metrics for correctness"
	./checkmetrics.sh $(PROMTOOL) $(e2e-out)

.PHONY: checkrules
checkrules: $(PROMTOOL)
	@echo ">> checking rules for correctness"
	find . -name "*rules*.yml" | xargs -I {} $(PROMTOOL) check rules {}

.PHONY: test-docker
test-docker:
	@echo ">> testing docker image"
	./test_image.sh "$(DOCKER_REPO)/$(DOCKER_IMAGE_NAME)-linux-amd64:$(DOCKER_IMAGE_TAG)" 9100

.PHONY: promtool
promtool: $(PROMTOOL)

$(PROMTOOL):
	$(eval PROMTOOL_TMP := $(shell mktemp -d))
	curl -s -L $(PROMTOOL_URL) | tar -xvzf - -C $(PROMTOOL_TMP)
	mkdir -p $(FIRST_GOPATH)/bin
	cp $(PROMTOOL_TMP)/prometheus-$(PROMTOOL_VERSION).$(GO_BUILD_PLATFORM)/promtool $(FIRST_GOPATH)/bin/promtool
	rm -r $(PROMTOOL_TMP)

=== debian/changelog ===
prometheus-node-exporter (0.18.1+ds-2) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * Move bundled textfile collector example scripts and their associated
    systemd services / timers to new prometheus-node-exporter-collectors
    package.

  [ Sven Hoexter ]
  * Add 05-apt-label-parsing.patch, to handle spaces in repository
    label correctly. Picked from the upstream repository. Closes: #935167

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Fri, 21 Feb 2020 05:56:03 +0000

prometheus-node-exporter (0.18.1+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release.
  * Also add myself to uploaders.
  * Add new build dependency golang-go.uber-multierr-dev
  * Add patch to allow building against procfs 0.0.2

  [ Benjamin Drung ]
  * Patch btrfs_stats script to use Python 3
  * Bump Standards-Version to 4.4.0
  * debian/copyright: Add missing MIT license paragraph

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Tue, 16 Jul 2019 11:18:46 +0200

=== debian/control ===
Source: prometheus-node-exporter
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-golang (>= 1.17~),
               golang-any,
               golang-dbus-dev,
               golang-github-coreos-go-systemd-dev,
               golang-github-kolo-xmlrpc-dev,
               golang-github-prometheus-client-golang-dev (>= 0.9.0~pre1+git20180417),
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev (>= 0+git20171117),
               golang-go.uber-multierr-dev,
               golang-golang-x-sys-dev (>= 0.0~git20170630),
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-goprotobuf-dev,
               golang-procfs-dev (>= 0.0.2~),
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-node-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-node-exporter.git
Homepage: https://github.com/prometheus/node_exporter
XS-Go-Import-Path: github.com/prometheus/node_exporter

Package: prometheus-node-exporter
Architecture: any
Depends: daemon | systemd-sysv,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: dbus,
            prometheus-node-exporter-collectors,
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for machine metrics
 Prometheus exporter for machine metrics, written in Go with pluggable metric
 collectors.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DH_VERBOSE=1
export DH_GOPKG := github.com/prometheus/node_exporter
export DH_GOLANG_INSTALL_EXTRA := collector/fixtures

BUILDDIR := $(CURDIR)/build
METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := pkg-go-maintainers@lists.alioth.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDTAGS  :=
BUILDFLAGS  = -tags "$(BUILDTAGS)" -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --buildsystem=golang --with=golang \
            --builddirectory=$(BUILDDIR)

# ZFS (or its tests) are not working in 32-bit arches.
DEB_HOST_ARCH_BITS := $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
ifeq ($(DEB_HOST_ARCH_BITS),32)
BUILDTAGS += nozfs
endif

BINNAME := $(DEB_SOURCE)
WHATIS := "$(BINNAME) \\- Prometheus exporter for machine metrics"

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	cp -v $(BUILDDIR)/bin/node_exporter $(BUILDDIR)/bin/$(BINNAME)
	build/bin/$(BINNAME) --help-man > build/$(BINNAME).1
	# Remove build user/build date/go version headers, which is ugly.
	sed -i -e '/^  /d' build/$(BINNAME).1
	# Fix whatis entry.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS) build/$(BINNAME).1
	# Remove default values as they create unwieldy long lines.
	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' build/$(BINNAME).1

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(CURDIR)/ttar -C $(BUILDDIR)/src/$(DH_GOPKG)/collector/fixtures \
            -x -f collector/fixtures/sys.ttar
	dh_auto_test -- $(BUILDFLAGS)
endif

override_dh_auto_install:

## prometheus-node-exporter 1.0.1+ds

=== debian/changelog ===
prometheus-node-exporter (1.0.1+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release.
  * Update Standards-Version to 4.5.0 (rename systemd service file and init
    script).
  * Update debhelper-compat version to 13.
  * Refresh patches, drop obsolete 04-procfs.patch.
  * Update maintainer email addresses / names.
  * Drop unused build-dep golang-github-kolo-xmlrpc-dev.
  * Drop unused build-dep golang-goprotobuf-dev.
  * Add new build-dep golang-golang-x-crypto-dev.
  * Add new build-dep golang-gopkg-yaml.v2-dev.
  * d/copyright: List vendoring copyright exceptions alphabetically
  * d/copyright: Refresh / add missing vendoring copyright exception
  * d/upstream/metadata: Add Repository field
  * Refresh /etc/defaults

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Rely on pre-initialized dpkg-architecture variables.
  * Update standards version to 4.4.1, no changes needed.

  [ Martina Ferrari ]
  * Reformat defaults file. Closes: #953650
  * Add Pre-Depends as requested by lintian.

 -- Martina Ferrari <tina@debian.org>  Thu, 18 Jun 2020 22:00:01 +0000

=== debian/control ===
Source: prometheus-node-exporter
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
           Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang (>= 1.17~),
               golang-any,
               golang-dbus-dev,
               golang-github-coreos-go-systemd-dev,
               golang-github-go-kit-kit-dev,
               golang-github-pkg-errors-dev,
               golang-github-prometheus-client-golang-dev (>= 0.9.0~pre1+git20180417),
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev (>= 0+git20171117),
               golang-go.uber-multierr-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-sys-dev (>= 0.0~git20170630),
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-gopkg-yaml.v2-dev,
               golang-procfs-dev (>= 0.0.2~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-node-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-node-exporter.git
Homepage: https://github.com/prometheus/node_exporter
XS-Go-Import-Path: github.com/prometheus/node_exporter

Package: prometheus-node-exporter
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: daemon | systemd-sysv,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: dbus,
            prometheus-node-exporter-collectors,
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for machine metrics
 Prometheus exporter for machine metrics, written in Go with pluggable metric
 collectors.

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
             --builddirectory=$(BUILDDIR)
 
 # ZFS (or its tests) are not working in 32-bit arches.
-DEB_HOST_ARCH_BITS := $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
+include /usr/share/dpkg/architecture.mk
 ifeq ($(DEB_HOST_ARCH_BITS),32)
 BUILDTAGS += nozfs
 endif

## prometheus-node-exporter 1.1.0+ds

=== debian/changelog ===
prometheus-node-exporter (1.1.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Fix logic inversion when checking for dangling systemd symlinks

 -- Guillem Jover <gjover@sipwise.com>  Fri, 12 Feb 2021 22:40:06 +0100

prometheus-node-exporter (1.1.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Refresh patches.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 09 Feb 2021 01:16:43 +0100

prometheus-node-exporter (1.0.1+ds-3) unstable; urgency=medium

  * Team upload.
  * Switch to debian/watch format version 4
  * Indent debian/watch file
  * Update version.BuildUser to match the Maintainer address
  * Cleanup systemd dangling symlinks for non-installed unit files moved out
    (Closes: #954285)
  * Update gitlab-ci.yml from the latest upstream version

 -- Guillem Jover <gjover@sipwise.com>  Fri, 29 Jan 2021 20:37:33 +0100

prometheus-node-exporter (1.0.1+ds-2) unstable; urgency=medium

  * Team upload.
  * Use '' instead of `' in text
  * Use $() instead of `` in init script
  * Change systemd service Restart directive from always to on-failure
  * Remove nocheck handling from override_dh_auto_test
  * Switch to Standards-Version 4.5.1 (no changes needed)
  * Remove error suppression from postinst
  * Remove unnecessary error suppression from init script
  * Run adduser unconditionally
  * Remove $syslog dependency from init script
  * Switch from /var/run to /run
  * Add missing dependency on adduser
  * Rewrite init script using start-stop-daemon
  * Do not change pathname metadata if there are dpkg statoverrides in place
  * Update gitignore entries
  * Move note about license location on Debian systems into a Comment field
  * Add support for reload action to sysvinit init script
  * Update copyright claims
  * Do not enable DH_VERBOSE by default
  * Use $(BUILDDIR) uniformly instead of the literal build/

 -- Guillem Jover <gjover@sipwise.com>  Sat, 23 Jan 2021 03:53:11 +0100

## prometheus-node-exporter 1.1.2%2Bds

=== debian/changelog ===
prometheus-node-exporter (1.1.2+ds-2) unstable; urgency=medium

  * Move README.textfile from /var/lib to /usr/share/doc

 -- Guillem Jover <gjover@sipwise.com>  Fri, 28 May 2021 00:59:42 +0200

prometheus-node-exporter (1.1.2+ds-1) unstable; urgency=medium

  * New upstream release.
    - Gracefully handle errors from disabled PSI subsystem
    - Sanitize strings from /sys/class/power_supply that could result in panic
    - Silence missing netclass errors

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Fri, 05 Mar 2021 13:52:24 +0100

prometheus-node-exporter (1.1.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fix ineffassign issue
    - Fix some noisy log lines
  * Remove backwards compatibility options not present in Debian stable
  * Update default file with latest --help output.

 -- Guillem Jover <gjover@sipwise.com>  Thu, 25 Feb 2021 23:39:38 +0100

## prometheus-node-exporter 1.1.2+ds

=== Makefile ===
--- 
+++ 
@@ -15,11 +15,11 @@
 all::
 
 # Needs to be defined before including Makefile.common to auto-generate targets
-DOCKER_ARCHS ?= amd64 armv7 arm64 ppc64le
+DOCKER_ARCHS ?= amd64 armv7 arm64 ppc64le s390x
 
 include Makefile.common
 
-PROMTOOL_VERSION ?= 2.5.0
+PROMTOOL_VERSION ?= 2.18.1
 PROMTOOL_URL     ?= https://github.com/prometheus/prometheus/releases/download/v$(PROMTOOL_VERSION)/prometheus-$(PROMTOOL_VERSION).$(GO_BUILD_PLATFORM).tar.gz
 PROMTOOL         ?= $(FIRST_GOPATH)/bin/promtool
 
@@ -45,7 +45,16 @@
 			PROMU_CONF ?= .promu-cgo.yml
 		endif
 	else
-		PROMU_CONF ?= .promu-cgo.yml
+		# Do not use CGO for openbsd/amd64 builds
+		ifeq ($(GOOS), openbsd)
+			ifeq ($(GOARCH), amd64)
+				PROMU_CONF ?= .promu.yml
+			else
+				PROMU_CONF ?= .promu-cgo.yml
+			endif
+		else
+			PROMU_CONF ?= .promu-cgo.yml
+		endif
 	endif
 endif
 
@@ -91,11 +100,15 @@
 skip-test-32bit:
 	@echo ">> SKIP running tests in 32-bit mode: not supported on $(GOHOSTOS)/$(GOHOSTARCH)"
 
-collector/fixtures/sys/.unpacked: collector/fixtures/sys.ttar
-	@echo ">> extracting sysfs fixtures"
-	if [ -d collector/fixtures/sys ] ; then rm -r collector/fixtures/sys ; fi
-	./ttar -C collector/fixtures -x -f collector/fixtures/sys.ttar
+%/.unpacked: %.ttar
+	@echo ">> extracting fixtures"
+	if [ -d $(dir $@) ] ; then rm -r $(dir $@) ; fi
+	./ttar -C $(dir $*) -x -f $*.ttar
 	touch $@
+
+update_fixtures:
+	rm -vf collector/fixtures/sys/.unpacked
+	./ttar -C collector/fixtures -c -f collector/fixtures/sys.ttar sys
 
 .PHONY: test-e2e
 test-e2e: build collector/fixtures/sys/.unpacked
@@ -125,9 +138,5 @@
 promtool: $(PROMTOOL)
 
 $(PROMTOOL):
-	$(eval PROMTOOL_TMP := $(shell mktemp -d))
-	curl -s -L $(PROMTOOL_URL) | tar -xvzf - -C $(PROMTOOL_TMP)
 	mkdir -p $(FIRST_GOPATH)/bin
-	cp $(PROMTOOL_TMP)/prometheus-$(PROMTOOL_VERSION).$(GO_BUILD_PLATFORM)/promtool $(FIRST_GOPATH)/bin/promtool
-	rm -r $(PROMTOOL_TMP)
-
+	curl -fsS -L $(PROMTOOL_URL) | tar -xvzf - -C $(FIRST_GOPATH)/bin --no-anchored --strip 1 promtool

=== debian/changelog ===
prometheus-node-exporter (1.1.2+ds-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for rapl collector log noise with the bullseye kernel.
    (Closes: #991160)

 -- Adrian Bunk <bunk@debian.org>  Mon, 26 Jul 2021 00:22:06 +0300

=== debian/control ===
--- 
+++ 
@@ -15,13 +15,14 @@
                golang-github-prometheus-client-golang-dev (>= 0.9.0~pre1+git20180417),
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev (>= 0+git20171117),
+               golang-github-prometheus-exporter-toolkit-dev,
                golang-go.uber-multierr-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-sys-dev (>= 0.0~git20170630),
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev,
                golang-procfs-dev (>= 0.0.2~),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-node-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-node-exporter.git
@@ -31,7 +32,7 @@
 Package: prometheus-node-exporter
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: daemon | systemd-sysv,
+Depends: adduser,
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: dbus,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
 include /usr/share/dpkg/pkg-info.mk
 
-export DH_VERBOSE=1
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
 export DH_GOPKG := github.com/prometheus/node_exporter
 export DH_GOLANG_INSTALL_EXTRA := collector/fixtures
 
@@ -9,7 +10,7 @@
 METAPKG := github.com/prometheus/common
 
 BRANCH     := debian/sid
-USER       := pkg-go-maintainers@lists.alioth.debian.org
+USER       := team+pkg-go@tracker.debian.org
 BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
     +%Y%m%d-%H:%M:%S)
 GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
@@ -39,19 +40,17 @@
 	dh_auto_build -- $(BUILDFLAGS)
 	# Rename the binary to match the debian package.
 	cp -v $(BUILDDIR)/bin/node_exporter $(BUILDDIR)/bin/$(BINNAME)
-	build/bin/$(BINNAME) --help-man > build/$(BINNAME).1
+	$(BUILDDIR)/bin/$(BINNAME) --help-man > $(BUILDDIR)/$(BINNAME).1
 	# Remove build user/build date/go version headers, which is ugly.
-	sed -i -e '/^  /d' build/$(BINNAME).1
+	sed -i -e '/^  /d' $(BUILDDIR)/$(BINNAME).1
 	# Fix whatis entry.
-	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS) build/$(BINNAME).1
+	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS) $(BUILDDIR)/$(BINNAME).1
 	# Remove default values as they create unwieldy long lines.
-	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' build/$(BINNAME).1
+	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' $(BUILDDIR)/$(BINNAME).1
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(CURDIR)/ttar -C $(BUILDDIR)/src/$(DH_GOPKG)/collector/fixtures \
             -x -f collector/fixtures/sys.ttar
 	dh_auto_test -- $(BUILDFLAGS)
-endif
 
 override_dh_auto_install:

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]*)\.tar\.gz/prometheus-node-exporter-$1.tar.gz/,\
      dversionmangle=s/\+ds.*$//,\
      uversionmangle=s/-?(rc\.?\d+)/~$1/" \
  https://github.com/prometheus/node_exporter/tags \
  (?:.*/)?v?(\d[\d\.]*(?:-?rc\.?\d+)?)\.tar\.gz

## prometheus-node-exporter 1.3.1

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 include Makefile.common
 
-PROMTOOL_VERSION ?= 2.18.1
+PROMTOOL_VERSION ?= 2.30.0
 PROMTOOL_URL     ?= https://github.com/prometheus/prometheus/releases/download/v$(PROMTOOL_VERSION)/prometheus-$(PROMTOOL_VERSION).$(GO_BUILD_PLATFORM).tar.gz
 PROMTOOL         ?= $(FIRST_GOPATH)/bin/promtool
 
@@ -102,7 +102,7 @@
 
 %/.unpacked: %.ttar
 	@echo ">> extracting fixtures"
-	if [ -d $(dir $@) ] ; then rm -r $(dir $@) ; fi
+	if [ -d $(dir $@) ] ; then rm -rf $(dir $@) ; fi
 	./ttar -C $(dir $*) -x -f $*.ttar
 	touch $@
 
@@ -139,4 +139,4 @@
 
 $(PROMTOOL):
 	mkdir -p $(FIRST_GOPATH)/bin
-	curl -fsS -L $(PROMTOOL_URL) | tar -xvzf - -C $(FIRST_GOPATH)/bin --no-anchored --strip 1 promtool
+	curl -fsS -L $(PROMTOOL_URL) | tar -xvzf - -C $(FIRST_GOPATH)/bin --strip 1 "prometheus-$(PROMTOOL_VERSION).$(GO_BUILD_PLATFORM)/promtool"

=== debian/changelog ===
prometheus-node-exporter (1.3.1-1ubuntu0.22.04.3) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update

 -- Allen Huang <allen.huang@canonical.com>  Fri, 15 Nov 2024 23:03:29 +0000

prometheus-node-exporter (1.3.1-1ubuntu0.22.04.2) jammy-security; urgency=medium

  * No change build due to golang-1.18 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 02 May 2023 18:23:19 +0530

prometheus-node-exporter (1.3.1-1ubuntu0.22.04.1) jammy-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Fri, 03 Feb 2023 13:02:08 +0100

prometheus-node-exporter (1.3.1-1) unstable; urgency=medium

  [ Martina Ferrari ]
  * Update my name and email address.

  [ Benjamin Drung ]
  * Update my email address to @debian.org
  * Drop vendored libraries
  * Build depend on libraries that were previously vendored

 -- Benjamin Drung <bdrung@debian.org>  Sat, 15 Jan 2022 00:26:34 +0100

prometheus-node-exporter (1.3.1~ds-1) unstable; urgency=medium

  [ Aloïs Micard ]
  * Update debian/gitlab-ci.yml (using pkg-go-tools/ci-config)

  [ Daniel Swarbrick ]
  * New upstream release.

  [ Guillem Jover ]
  * Update debian/watch file
  * Do not install uninteresting documentation files

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 08 Dec 2021 14:35:17 +0000

prometheus-node-exporter (1.3.0~ds-3) unstable; urgency=medium

  * Team upload.
  * Use dh-sequence-golang instead of dh-golang and --with=golang.
  * Remove DEB_BUILD_OPTIONS nocheck conditional from override_dh_auto_test.
  * Update gbp configuration following Go Team new workflow.
  * Add Repository-Browse field to upstream metadata field.

 -- Guillem Jover <gjover@sipwise.com>  Sat, 27 Nov 2021 00:03:33 +0100

prometheus-node-exporter (1.3.0~ds-2) unstable; urgency=medium

  * Update default file with latest --help output from v1.3.0

 -- Benjamin Drung <benjamin.drung@ionos.com>  Mon, 22 Nov 2021 14:02:47 +0100

prometheus-node-exporter (1.3.0~ds-1) unstable; urgency=medium

  * New upstream release
  * Drop 5 vendored libraries and build depend on the packaged version instead
  * Drop library downgrade patches and build depend on
    golang-github-go-kit-log-dev and newer prometheus client library
  * Drop patches that were accepted upstream and refresh default settings patch
  * Add myself to uploaders
  * Add patch to support perf-utils v0.5.1

 -- Benjamin Drung <benjamin.drung@ionos.com>  Fri, 19 Nov 2021 16:45:52 +0100

prometheus-node-exporter (1.2.2+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Refresh 03-Default_settings.patch
  * Add os release collector (will be part of the next upstream release)
  * Revert "Use new client_golang collectors package."
  * Downgrade to go-kit version 0.6
  * Add golang-github-safchain-ethtool-dev to build dependencies
  * Add new build dependency golang-github-hashicorp-go-envparse-dev
  * Bump procfs dependency to >= 0.7.3
  * Exclude node-mixin from docs
  * Bump Standards-Version to 4.6.0
  * Let override_dh_auto_test check DEB_BUILD_OPTIONS
  * Bump minimum version for prometheus libraries

 -- Benjamin Drung <benjamin.drung@ionos.com>  Thu, 28 Oct 2021 09:39:52 +0200

=== debian/control ===
Source: prometheus-node-exporter
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
           Daniel Swarbrick <dswarbrick@debian.org>,
           Benjamin Drung <bdrung@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-dbus-dev,
               golang-github-beevik-ntp-dev (>= 0.3),
               golang-github-coreos-go-systemd-dev,
               golang-github-ema-qdisc-dev,
               golang-github-go-kit-log-dev (>= 0.1),
               golang-github-hashicorp-go-envparse-dev,
               golang-github-hodgesds-perf-utils-dev (>= 0.5.1),
               golang-github-josharian-native-dev,
               golang-github-jsimonetti-rtnetlink-dev,
               golang-github-mattn-go-xmlrpc-dev,
               golang-github-mdlayher-wifi-dev,
               golang-github-pkg-errors-dev,
               golang-github-prometheus-client-golang-dev (>= 1.11),
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev (>= 0.26),
               golang-github-prometheus-exporter-toolkit-dev,
               golang-github-prometheus-procfs-dev (>= 0.7.3),
               golang-github-safchain-ethtool-dev (>= 0.0~git20201023.874930c),
               golang-github-soundcloud-go-runit-dev,
               golang-go.uber-multierr-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-sys-dev (>= 0.0~git20170630),
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-gopkg-yaml.v2-dev,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-node-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-node-exporter.git
Homepage: https://github.com/prometheus/node_exporter
XS-Go-Import-Path: github.com/prometheus/node_exporter

Package: prometheus-node-exporter
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: dbus,
            prometheus-node-exporter-collectors,
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for machine metrics
 Prometheus exporter for machine metrics, written in Go with pluggable metric
 collectors.

=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,7 @@
     -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"
 
 %:
-	dh $@ --buildsystem=golang --with=golang \
-            --builddirectory=$(BUILDDIR)
+	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
 # ZFS (or its tests) are not working in 32-bit arches.
 include /usr/share/dpkg/architecture.mk
@@ -39,7 +38,7 @@
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)
 	# Rename the binary to match the debian package.
-	cp -v $(BUILDDIR)/bin/node_exporter $(BUILDDIR)/bin/$(BINNAME)
+	mv -v $(BUILDDIR)/bin/node_exporter $(BUILDDIR)/bin/$(BINNAME)
 	$(BUILDDIR)/bin/$(BINNAME) --help-man > $(BUILDDIR)/$(BINNAME).1
 	# Remove build user/build date/go version headers, which is ugly.
 	sed -i -e '/^  /d' $(BUILDDIR)/$(BINNAME).1

## prometheus-node-exporter 1.5.0

=== debian/changelog ===
prometheus-node-exporter (1.5.0-1) unstable; urgency=medium

  * New upstream version (fixes CVE-2022-46146)
  * Drop obsolete patches:
    - 02-fix-tcpstat-collector-endianness.patch
    - 03-fix-exporter-toolkit-api.patch
  * Add new build-dep golang-github-mdlayher-ethtool-dev
  * d/rules: extract udev test fixtures for dh_auto_test

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 05 Dec 2022 08:33:07 +0000

prometheus-node-exporter (1.4.1-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release
  * Add new 03-fix-exporter-toolkit-api.patch
  * Bump minimum required golang-github-prometheus-exporter-toolkit-dev
    version to 0.8.0

  [ Guillem Jover ]
  * Remove --help output from default file (Closes: #1009216)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 30 Nov 2022 04:10:50 +0000

prometheus-node-exporter (1.4.0-2) unstable; urgency=medium

  * Add new 02-fix-tcpstat-collector-endianness.patch to fix test failure on
    s390x

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 15 Oct 2022 01:09:17 +0000

prometheus-node-exporter (1.4.0-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release
  * Refresh patches
  * Add missing build-dep golang-github-mdlayher-netlink-dev
  * Add new build-deps:
    - golang-github-dennwc-btrfs-dev
    - golang-github-opencontainers-selinux-dev
  * Drop indirect / unused build-deps:
    - golang-github-josharian-native-dev
    - golang-go.uber-multierr-dev
    - golang-golang-x-crypto-dev
    - golang-gopkg-yaml.v2-dev
  * Build-depend on newer golang-github-jsimonetti-rtnetlink (>= 1.2.2),
    without which the netdev collector fails on kernel 5.19+
  * Drop obsolete lintian-overrides
  * Bump Standards-Version to 4.6.1 (no changes)

  [ Martina Ferrari ]
  * debian/default: Document how to negate boolean options (Closes: #1009049)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 14 Oct 2022 22:21:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prometheus-node-exporter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
            Benjamin Drung <bdrung@debian.org>,
@@ -13,28 +12,29 @@
                golang-dbus-dev,
                golang-github-beevik-ntp-dev (>= 0.3),
                golang-github-coreos-go-systemd-dev,
+               golang-github-dennwc-btrfs-dev,
                golang-github-ema-qdisc-dev,
                golang-github-go-kit-log-dev (>= 0.1),
                golang-github-hashicorp-go-envparse-dev,
                golang-github-hodgesds-perf-utils-dev (>= 0.5.1),
                golang-github-josharian-native-dev,
-               golang-github-jsimonetti-rtnetlink-dev,
+               golang-github-jsimonetti-rtnetlink-dev (>= 1.2.2),
                golang-github-mattn-go-xmlrpc-dev,
+               golang-github-mdlayher-ethtool-dev,
+               golang-github-mdlayher-netlink-dev,
                golang-github-mdlayher-wifi-dev,
+               golang-github-opencontainers-selinux-dev,
                golang-github-pkg-errors-dev,
                golang-github-prometheus-client-golang-dev (>= 1.11),
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev (>= 0.26),
-               golang-github-prometheus-exporter-toolkit-dev,
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.2),
                golang-github-prometheus-procfs-dev (>= 0.7.3),
                golang-github-safchain-ethtool-dev (>= 0.0~git20201023.874930c),
                golang-github-soundcloud-go-runit-dev,
-               golang-go.uber-multierr-dev,
-               golang-golang-x-crypto-dev,
                golang-golang-x-sys-dev (>= 0.0~git20170630),
                golang-gopkg-alecthomas-kingpin.v2-dev,
-               golang-gopkg-yaml.v2-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-node-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-node-exporter.git

=== debian/rules ===
--- 
+++ 
@@ -50,6 +50,8 @@
 override_dh_auto_test:
 	$(CURDIR)/ttar -C $(BUILDDIR)/src/$(DH_GOPKG)/collector/fixtures \
             -x -f collector/fixtures/sys.ttar
+	$(CURDIR)/ttar -C $(BUILDDIR)/src/$(DH_GOPKG)/collector/fixtures \
+            -x -f collector/fixtures/udev.ttar
 	dh_auto_test -- $(BUILDFLAGS)
 
 override_dh_auto_install:

## prometheus-node-exporter 1.6.1

=== debian/changelog ===
prometheus-node-exporter (1.6.1-1ubuntu0.1) mantic-security; urgency=medium

  * No-change rebuild due to golang-1.20, golang1-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 29 Jan 2024 11:20:41 +0530

prometheus-node-exporter (1.6.1-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:45 +1200

prometheus-node-exporter (1.6.1-1) unstable; urgency=medium

  * New upstream release (no code changes)
  * debian/rules:
    - Fix empty override_dh_auto_install
    - Split off manpage generation from override_dh_auto_build
    - Re-work manpage generation, with correct header & footer
    - Phase out the use of DH_GOPKG

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 25 Jul 2023 11:55:01 +0000

prometheus-node-exporter (1.6.0-2) unstable; urgency=medium

  * Drop obsolete 03-Revert_go-runit_import_path.patch
  * Replace golang-github-soundcloud-go-runit-dev build-dep with
    golang-github-prometheus-community-go-runit-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 25 Jun 2023 19:53:20 +0000

prometheus-node-exporter (1.6.0-1) unstable; urgency=medium

  * New upstream release
  * Add new build-dep golang-golang-x-exp-dev
  * Bump Standards-Version to 4.6.2 (no changes)
  * Add new patches:
    - 02-Revert_kingpin_import_path.patch
    - 03-Revert_runit_import_path.patch
  * Bump minimum required golang-github-prometheus-procfs-dev version to
    0.10.0
  * Bump minimum required golang-github-prometheus-exporter-toolkit-dev
    version to 0.10.0

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 16 Jun 2023 17:13:55 +0000

## prometheus-node-exporter 1.7.0

=== Makefile ===
--- 
+++ 
@@ -60,12 +60,13 @@
 
 PROMU := $(FIRST_GOPATH)/bin/promu --config $(PROMU_CONF)
 
+e2e-out-64k-page = collector/fixtures/e2e-64k-page-output.txt
 e2e-out = collector/fixtures/e2e-output.txt
 ifeq ($(MACH), ppc64le)
-	e2e-out = collector/fixtures/e2e-64k-page-output.txt
+	e2e-out = $(e2e-out-64k-page)
 endif
 ifeq ($(MACH), aarch64)
-	e2e-out = collector/fixtures/e2e-64k-page-output.txt
+	e2e-out = $(e2e-out-64k-page)
 endif
 
 # 64bit -> 32bit mapping for cross-checking. At least for amd64/386, the 64bit CPU can execute 32bit code but not the other way around, so we don't support cross-testing upwards.
@@ -87,12 +88,12 @@
 all:: vet checkmetrics checkrules common-all $(cross-test) $(test-e2e)
 
 .PHONY: test
-test: collector/fixtures/sys/.unpacked
+test: collector/fixtures/sys/.unpacked collector/fixtures/udev/.unpacked
 	@echo ">> running tests"
 	$(GO) test -short $(test-flags) $(pkgs)
 
 .PHONY: test-32bit
-test-32bit: collector/fixtures/sys/.unpacked
+test-32bit: collector/fixtures/sys/.unpacked collector/fixtures/udev/.unpacked
 	@echo ">> running tests in 32-bit mode"
 	@env GOARCH=$(GOARCH_CROSS) $(GO) test $(pkgs)
 
@@ -109,9 +110,12 @@
 update_fixtures:
 	rm -vf collector/fixtures/sys/.unpacked
 	./ttar -C collector/fixtures -c -f collector/fixtures/sys.ttar sys
+	rm -vf collector/fixtures/udev/.unpacked
+	./ttar -C collector/fixtures -c -f collector/fixtures/udev.ttar udev
+
 
 .PHONY: test-e2e
-test-e2e: build collector/fixtures/sys/.unpacked
+test-e2e: build collector/fixtures/sys/.unpacked collector/fixtures/udev/.unpacked
 	@echo ">> running end-to-end tests"
 	./end-to-end-test.sh
 
@@ -123,6 +127,7 @@
 checkmetrics: $(PROMTOOL)
 	@echo ">> checking metrics for correctness"
 	./checkmetrics.sh $(PROMTOOL) $(e2e-out)
+	./checkmetrics.sh $(PROMTOOL) $(e2e-out-64k-page)
 
 .PHONY: checkrules
 checkrules: $(PROMTOOL)

=== debian/changelog ===
prometheus-node-exporter (1.7.0-1ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 10:45:45 +1000

prometheus-node-exporter (1.7.0-1ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 13:21:01 +1000

prometheus-node-exporter (1.7.0-1ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 15 Jul 2024 12:13:43 +0530

prometheus-node-exporter (1.7.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches and convert to gbp-pq format

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 13 Nov 2023 12:53:54 +0000

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to enable verbose mode.
#export DH_VERBOSE = 1

export DH_GOLANG_INSTALL_EXTRA := collector/fixtures

METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDTAGS  :=
BUILDFLAGS  = -tags "$(BUILDTAGS)" -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --builddirectory=_build --buildsystem=golang

# ZFS (or its tests) are not working in 32-bit arches.
include /usr/share/dpkg/architecture.mk
ifeq ($(DEB_HOST_ARCH_BITS),32)
BUILDTAGS += nozfs
endif

BINNAME := $(DEB_SOURCE)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	mv -v _build/bin/node_exporter _build/bin/$(BINNAME)

override_dh_auto_test:
	./ttar -C _build/src/github.com/prometheus/node_exporter/collector/fixtures \
      -x -f collector/fixtures/sys.ttar
	./ttar -C _build/src/github.com/prometheus/node_exporter/collector/fixtures \
      -x -f collector/fixtures/udev.ttar
	dh_auto_test -- $(BUILDFLAGS)

MAN_WHATIS := $(BINNAME) \\- Prometheus exporter for machine metrics
MAN_PROG := $(shell echo $(BINNAME) | tr [:lower:] [:upper:])
MAN_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' '+%B %Y')

execute_before_dh_installman:
	_build/bin/$(BINNAME) --help-man > _build/$(BINNAME).1
	# Fix title header and footer.
	sed -i '/^.TH .*/c.TH $(MAN_PROG) "1" "$(MAN_DATE)" "$(DEB_SOURCE) $(DEB_VERSION_UPSTREAM)" "Prometheus"/' \
        _build/$(BINNAME).1
	# Remove build user/build date/go version headers, which is ugly.
	sed -i '/^  /d' _build/$(BINNAME).1
	# Fix whatis entry.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n$(MAN_WHATIS)' _build/$(BINNAME).1
	# Remove default values, as they create unwieldy long lines.
	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' _build/$(BINNAME).1

override_dh_auto_install:
	dh_auto_install -- --no-source

## prometheus-node-exporter 1.8.1

=== debian/changelog ===
prometheus-node-exporter (1.8.1-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 08 Jun 2024 12:59:15 +0000

prometheus-node-exporter (1.8.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete 0003-Support-prometheus-common-v0.50.0.patch (implemented
    upstream)
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 24 Apr 2024 20:05:35 +0000

prometheus-node-exporter (1.7.0-2) unstable; urgency=medium

  * Add new 0003-Support-prometheus-common-v0.50.0.patch
  * Bump golang-github-prometheus-client-golang-dev version constraint
    (>= 1.19.0)
  * debian/control: drop redundant / outdated version constraints

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 12 Mar 2024 13:00:34 +0000

=== debian/control ===
--- 
+++ 
@@ -10,31 +10,32 @@
                dh-sequence-golang,
                golang-any,
                golang-dbus-dev,
-               golang-github-beevik-ntp-dev (>= 0.3),
+               golang-github-beevik-ntp-dev,
                golang-github-coreos-go-systemd-dev,
                golang-github-dennwc-btrfs-dev,
                golang-github-ema-qdisc-dev,
-               golang-github-go-kit-log-dev (>= 0.1),
+               golang-github-go-kit-log-dev,
                golang-github-hashicorp-go-envparse-dev,
-               golang-github-hodgesds-perf-utils-dev (>= 0.5.1),
+               golang-github-hodgesds-perf-utils-dev,
                golang-github-josharian-native-dev,
-               golang-github-jsimonetti-rtnetlink-dev (>= 1.2.2),
+               golang-github-jsimonetti-rtnetlink-dev,
                golang-github-mattn-go-xmlrpc-dev,
                golang-github-mdlayher-ethtool-dev,
                golang-github-mdlayher-netlink-dev,
                golang-github-mdlayher-wifi-dev,
                golang-github-opencontainers-selinux-dev,
                golang-github-pkg-errors-dev,
-               golang-github-prometheus-client-golang-dev (>= 1.11),
+               golang-github-prometheus-client-golang-dev (>= 1.19.0),
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev (>= 0.26),
-               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.2),
-               golang-github-prometheus-procfs-dev (>= 0.7.3),
+               golang-github-prometheus-community-go-runit-dev,
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.10.0),
+               golang-github-prometheus-procfs-dev (>= 0.10.0),
                golang-github-safchain-ethtool-dev (>= 0.0~git20201023.874930c),
-               golang-github-soundcloud-go-runit-dev,
+               golang-golang-x-exp-dev,
                golang-golang-x-sys-dev (>= 0.0~git20170630),
                golang-gopkg-alecthomas-kingpin.v2-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-node-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-node-exporter.git

## prometheus-node-exporter 1.8.2

=== debian/changelog ===
prometheus-node-exporter (1.8.2-2) unstable; urgency=medium

  * Don't override collector.netdev.device-exclude default (Closes: #1032329)
  * Add new 0003-Backport-PR-3133.patch to fix slow performance of arp
    collector on hosts with a large number of interfaces

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 13 Jan 2025 09:41:49 +0000

prometheus-node-exporter (1.8.2-1) unstable; urgency=medium

  * New upstream (bugfix) release
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 05 Aug 2024 11:49:32 +0000

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
                golang-golang-x-exp-dev,
                golang-golang-x-sys-dev (>= 0.0~git20170630),
                golang-gopkg-alecthomas-kingpin.v2-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-node-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-node-exporter.git

## prometheus-node-exporter 1.9.0

=== debian/changelog ===
prometheus-node-exporter (1.9.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Drop obsolete 0003-Backport-PR-3133.patch
  * Drop obsolete Build-Depends golang-github-go-kit-log-dev
  * Bump golang-github-prometheus-exporter-toolkit-dev version constraint
    (>= 0.13.0)
  * Bump golang-github-prometheus-procfs-dev version constraint (>= 0.15.1)
  * Drop redundant golang-golang-x-sys-dev version constraint
  * debian/rules: add 'tools' to DH_GOLANG_EXCLUDES

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 17 Feb 2025 15:20:01 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
                golang-github-coreos-go-systemd-dev,
                golang-github-dennwc-btrfs-dev,
                golang-github-ema-qdisc-dev,
-               golang-github-go-kit-log-dev,
                golang-github-hashicorp-go-envparse-dev,
                golang-github-hodgesds-perf-utils-dev,
                golang-github-josharian-native-dev,
@@ -29,11 +28,11 @@
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev (>= 0.26),
                golang-github-prometheus-community-go-runit-dev,
-               golang-github-prometheus-exporter-toolkit-dev (>= 0.10.0),
-               golang-github-prometheus-procfs-dev (>= 0.10.0),
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.13.0),
+               golang-github-prometheus-procfs-dev (>= 0.15.1),
                golang-github-safchain-ethtool-dev (>= 0.0~git20201023.874930c),
                golang-golang-x-exp-dev,
-               golang-golang-x-sys-dev (>= 0.0~git20170630),
+               golang-golang-x-sys-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/prometheus/node_exporter/tags \
  (?:.*/)?v?(\d[\d\.]*(?:-?rc\.?\d+)?)\.tar\.gz
